- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAPCCache
TApplicationStateCacheDependency
TCache
TCacheDependency
TCacheDependencyList
TChainedCacheDependency
TDbCache
TDirectoryCacheDependency
TFileCacheDependency
TGlobalStateCacheDependency
TMemCache
TSqliteCache
TXCache

Keyword

# Class TCacheDependency

    TComponent
       |
       --TCacheDependency

#### Direct Known Sub-classes:

TFileCacheDependency , TDirectoryCacheDependency , TGlobalStateCacheDependency , TChainedCacheDependency , TApplicationStateCacheDependency

TCacheDependency class.

TCacheDependency is the base class implementing ICacheDependency interface. Descendant classes must implement getHasChanged() to provide actual dependency checking logic.

The property value of getHasChanged tells whether the dependency is changed or not.

You may disable the dependency checking by setting setEnabled to false.

Note, since the dependency objects often need to be serialized so that they can persist across requests, you may need to implement __sleep() and __wakeup() if the dependency objects contain resource handles which are not serializable.

Currently, the following dependency classes are provided in the PRADO release:

- TFileCacheDependency: checks whether a file is changed or not
- TDirectoryCacheDependency: checks whether a directory is changed or not
- TGlobalStateCacheDependency: checks whether a global state is changed or not
- TChainedCacheDependency: checks whether any of a list of dependencies is changed or not

Since: 3.1.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()